---
title: "Fetch interview event dictionary"
url: "https://developer.incode.com/api-reference/interview-events-dictionary/"
section: "api-reference"
group: "Interview"
version: "v1.1"
status: "live"
endpoint: "GET /omni/interview-events/dictionary"
---
# Fetch interview event dictionary

`GET /omni/interview-events/dictionary`

Base URL: `https://demo-api.incodesmile.com` — Incode demo environment

Returns the list of all existing interview event types

## Path & query parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `api-version` | header | string | yes | Default: `1.0` |

## Responses

### 200

OK

## Code samples

Generated from this endpoint's method, path, and the conventional Incode headers. The base URL is the Incode demo environment; replace `<YOUR_API_KEY>` with a key for your region.

### cURL

```bash
curl -X GET https://demo-api.incodesmile.com/omni/interview-events/dictionary \
  -H "x-api-key: <YOUR_API_KEY>" \
  -H "X-Incode-Hardware-Id: <YOUR_INCODE_HARDWARE_ID>" \
  -H "api-version: 1.0"
```

### Node

```js
const res = await fetch("https://demo-api.incodesmile.com/omni/interview-events/dictionary", {
  method: "GET",
  headers: {
      "x-api-key": "<YOUR_API_KEY>",
      "X-Incode-Hardware-Id": "<YOUR_INCODE_HARDWARE_ID>",
      "api-version": "1.0",
  },
});
const data = await res.json();
```

### Python

```python
import requests

headers = {
    "x-api-key": "<YOUR_API_KEY>",
    "X-Incode-Hardware-Id": "<YOUR_INCODE_HARDWARE_ID>",
    "api-version": "1.0",
}
res = requests.get("https://demo-api.incodesmile.com/omni/interview-events/dictionary", headers=headers)
data = res.json()
```

### Java

```java
HttpRequest req = HttpRequest.newBuilder()
    .uri(URI.create("https://demo-api.incodesmile.com/omni/interview-events/dictionary"))
    .header("x-api-key", "<YOUR_API_KEY>")
    .header("X-Incode-Hardware-Id", "<YOUR_INCODE_HARDWARE_ID>")
    .header("api-version", "1.0")
    .method("GET", HttpRequest.BodyPublishers.noBody())
    .build();
HttpResponse<String> res = HttpClient.newHttpClient()
    .send(req, HttpResponse.BodyHandlers.ofString());
```

### Ruby

```
require "net/http"
require "json"

uri = URI("https://demo-api.incodesmile.com/omni/interview-events/dictionary")
req = Net::HTTP::Get.new(uri)
req["x-api-key"] = "<YOUR_API_KEY>"
req["X-Incode-Hardware-Id"] = "<YOUR_INCODE_HARDWARE_ID>"
req["api-version"] = "1.0"

res = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) { |http| http.request(req) }
data = JSON.parse(res.body)
```

### PHP

```
$ch = curl_init("https://demo-api.incodesmile.com/omni/interview-events/dictionary");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "x-api-key: <YOUR_API_KEY>",
    "X-Incode-Hardware-Id: <YOUR_INCODE_HARDWARE_ID>",
    "api-version: 1.0",
]);

$data = json_decode(curl_exec($ch), true);
curl_close($ch);
```

### Example response

```json
[
  {
    "code": "string",
    "sender": "BACKEND",
    "description": "string",
    "locales": [
      {
        "locale": "string",
        "name": "string"
      }
    ]
  }
]
```
